<?php include_once("../lib/control.seguridad.php"); ?>
<?php
    include_once('../inc/api_cred.php');

	$fecha_inicio = date('d-m-Y', mktime(0,0,0, date('m'), 1, date('Y')));
	$fecha_termino = date('d-m-Y', mktime(0,0,0, date('m'), date("d", mktime(0,0,0, date('m')+1, 0, date('Y'))), date('Y'))); 
	
	$fecha_inicio_b = date('d-m-Y', mktime(0,0,0, date('m'), 1, date('Y')));
	$fecha_termino_b = date('d-m-Y', mktime(0,0,0, date('m'), date("d", mktime(0,0,0, date('m')+1, 0, date('Y'))), date('Y'))); 	

	$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEnviar' name='btnEnviar'>INGRESAR</button>";
	
	$id = 0;
	$fecha_inicio = date("d-m-Y");
	$fecha_termino = date("d-m-Y");
	$fecha_retorno = date("d-m-Y");	
	$cantidad = 0;	
	$hora_inicio = "08:00";
	$hora_termino = "08:00";
	$id_tipo_permiso = 0;
	$id_persona = 0;	
	$id_autoriza = $_SESSION['LOGIN']['CODIGO'];
	$observacion = "";	
	$nombrePersona = "";
	$nombreAuroriza = $_SESSION['LOGIN']['NOMBRE'];	
	$rutPersona = "";

	$emailPersona = "";	
	$cargoPersona = "";
	
	$hide = "d-none";
    if($_POST){

		$hide = "";
		$url = $apiUrl . '/public/obtenerpermiso';
		$ch = curl_init($url); //create a new cURL resource
		$payload = json_encode(array('id' => $_POST["txtId"], 'api_token'=> 'lEkujNtWXOCCsOhRBIRON8I8wWZVhHGm5JylqMZC'));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);//attach encoded JSON string to the POST fields
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result = curl_exec($ch); //execute the POST request
        $array = json_decode($result);


		$id = $array[0]->id;
		$fecha_inicio = date('d-m-Y', strtotime($array[0]->fecha_inicio));
		$fecha_termino = date('d-m-Y', strtotime($array[0]->fecha_termino));
		$fecha_retorno = date('d-m-Y', strtotime($array[0]->fecha_retorno));	
		$cantidad = $array[0]->cantidad;		
		$hora_inicio = date("H:i", strtotime($array[0]->hora_inicio));
		$hora_termino = date("H:i", strtotime($array[0]->hora_termino));
		$id_tipo_permiso = $array[0]->id_tipo_permiso;
		$id_persona = $array[0]->id_persona;	
		$id_autoriza = $array[0]->id_autoriza;
		$observacion = $array[0]->observacion;	
		
		/******************************************************************/		

		/* $url2 = 'http://200.24.13.60/~program1/power-time-api/public/obtenerpersona';
		$ch2 = curl_init($url2); //create a new cURL resource
		$payload2 = json_encode(array('id' => $id_persona));
		curl_setopt($ch2, CURLOPT_POSTFIELDS, $payload2);//attach encoded JSON string to the POST fields
		curl_setopt($ch2, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result2 = curl_exec($ch2); //execute the POST request
		$array2 = json_decode($result2); */
	
		$nombrePersona = $array[0]->nombre_persona ." ". $array[0]->apellido_persona;
		$rutPersona = $array[0]->rut_persona;

		$emailPersona = $array[0]->email;	
		$cargoPersona = "";
		//curl_close($ch2);

		/******************************************************************/		

		/* $ch3 = curl_init('http://200.24.13.60/~program1/power-time-api/public/obtenercargoasignado'); //create a new cURL resource
		$payload3 = json_encode(array('id_persona' => $id_persona));
		curl_setopt($ch3, CURLOPT_POSTFIELDS, $payload3);//attach encoded JSON string to the POST fields
		curl_setopt($ch3, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch3, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result3 = curl_exec($ch3); //execute the POST request
		$array3 = json_decode($result3); */

		$cargoPersona = $array[0]->cargo_persona;			

		//curl_close($ch3); 		
		
		/******************************************************************/		

		/* $url2 = 'http://200.24.13.60/~program1/power-time-api/public/obtenerpersona';
		$ch2 = curl_init($url2); //create a new cURL resource
		$payload2 = json_encode(array('id' => $id_autoriza));
		curl_setopt($ch2, CURLOPT_POSTFIELDS, $payload2);//attach encoded JSON string to the POST fields
		curl_setopt($ch2, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result2 = curl_exec($ch2); //execute the POST request
		$array2 = json_decode($result2); */
	
		$nombreAuroriza = $array[0]->nombre_autoriza ." ". $array[0]->apellido_persona;
		/* curl_close($ch2); 				
		
		curl_close($ch);  */

		/******************************************************************/
		
		$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEditar' name='btnEditar'>EDITAR</button>";
	}

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>POWERTIME</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.css">
  
  <link href="../plugins/toastr/build/toastr.css" rel="stylesheet" type="text/css" />
  
  <!-- JQUERY UI -->  
  <link rel="stylesheet" href="../plugins/jQueryUI/jquery-ui.css" />
  
  <style>
  label{
	  font-size:13px;
  }  
  #example{
	  font-size:10px;
  }
  #example2{
	  font-size:10px;
  }  
  #example3{
	  font-size:10px;
  }
  .dataTables_wrapper { font-size: 10px }  
  </style>  
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
 
  <?php include_once("../inc/header.php"); ?>

  <?php include_once("../inc/menu.php"); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2 d-none">
          <div class="col-sm-6">
            <h4>Permiso</h4>
			  <div class="input-group mb-2 input-group-sm">
				<div class="input-group-prepend">
				  <div class="input-group-text">Autoriza</div>
				</div>
				<input type="hidden" class="form-control " id="txtId_autoriza" value="<?php echo $id_autoriza ?>">
			  </div>
			</div>			  
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content" id="app">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-body">
				  <div class="form-group">
					<label>Seleccionar Trabajador:</label>
						<div class="row">
							<div class="col-md-8 input-group-sm">
								<input type="text" class="form-control " id="txtNombre" value="<?php echo $nombrePersona ?>" readonly> 
								<input type="hidden" class="form-control " id="txtId_persona" value="<?php echo $id_persona ?>">
							</div>
							<div class="col-md-4">
								<button type="button" class="btn btn-info btn-sm" id="btnBuscar">Buscar </button>
								<button type="button" class="btn btn-info btn-sm d-none" id="btnVerPermisoPermitido">Permiso </button>
							</div>
						</div>					  
				  </div>	
				  <div class="form-group input-group-sm">
					<label>Rut:</label>
					<input type="text" class="form-control " id="txtRut" name="txtRut" value="<?php echo $rutPersona ?>" readonly>	
				  </div>
				  <div class="form-group input-group-sm">
					<label>E-mail:</label>
					<input type="text" class="form-control " id="txtEmail" name="txtEmail" value="<?php echo $emailPersona ?>" readonly>	 
				  </div>
				  <div class="form-group input-group-sm">
					<label>Cargo:</label>
					<input type="text" class="form-control " id="cargo" name="cargo" value="<?php echo $cargoPersona ?>" readonly>	
				  </div>					  
				  <div class="form-group input-group-sm">
					<label>Tipo Permiso:</label>
					<select class="form-control" id="txtTipo_permiso">
						<option value="0">Seleccione...</option>
					</select>
				  </div>				  			  
				  <div class="form-group input-group-sm">
					<label>Fecha Inicio :</label>
					<input type="text" class="form-control control-number" id="txtFecha_inicio" value="<?php echo $fecha_inicio ?>" readonly>
				  </div>				
				  <div class="form-group input-group-sm">
					<label>Fecha T&eacute;rmino:</label>
					<input type="text" class="form-control " id="txtFecha_termino" value="<?php echo $fecha_termino ?>" readonly>
				  </div>
				  <div class="form-group input-group-sm">
					<label>Fecha Retorno:</label>
					<input type="text" class="form-control " id="txtFecha_retorno" value="<?php echo $fecha_retorno ?>" readonly>
				  </div>	
				  <div class="form-group input-group-sm">
					<label>Cantidad D&iacute;as h&aacute;biles:</label>
					<input type="text" class="form-control control-number" id="txtCantidad" value="<?php echo $cantidad ?>" >
				  </div>					  
				  <div class="form-group input-group-sm jornada-permiso">
					<label>Jornada:</label>
					<select class="form-control" id="txtJornada">
						<option value="-1">Seleccione...</option>
						<option value="1">D&iacute;a Completo</option>
						<option value="2">Medio D&iacute;a AM</option>
						<option value="3">Medio D&iacute;a PM</option>
					</select>
				  </div>	
				  <div class="form-group input-group-sm d-none hora-permiso">
					<label>Hora Inicio :</label>
					<input type="time" class="form-control" id="txtHora_inicio" value="<?php echo $hora_inicio ?>" >
				  </div>				
				  <div class="form-group input-group-sm d-none hora-permiso">
					<label>Hora T&eacute;rmino:</label>
					<input type="time" class="form-control" id="txtHora_termino" value="<?php echo $hora_termino ?>" >
				  </div>	
				  <div class="form-group">
					<label>Motivo de Permiso:</label>
					<textarea class="form-control" id="txtObservacion" name="txtObservacion" rows="3"><?php echo $observacion ?></textarea>
				  </div>				  
				</div>
				<!-- /.card-body -->
				<div class="card-footer">
					<?php echo $boton ?>
					<input type="hidden" class="form-control" id="txtCargo" value="<?php echo $_SESSION['LOGIN']['CARGOUSUARIO'] ?>">
					<input type="hidden" class="form-control " id="txtId" value="<?php echo $id ?>" readonly>						
					<button type="button" class="btn btn-default float-right" id="btnLimpiar">Limpiar</button>
				</div>
            </div>
          </div>
          
          <div class="col-md-6 d-none" id="div-trabajador">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-body">
        			 <div class="row">
        			    <div class="col-md-12">
        				  <div class="input-group mb-2 input-group-sm">
        					<div class="input-group-prepend">
        					  <div class="input-group-text">Centro</div>
        					</div>
        					<select class="form-control" id="txtDepartamento"> </select>
        				  </div>							
        				</div>			
        			 </div>		  
        			 <div class="row">
        				<div class="col-md-12">
        				  <table id="example3" class="table table-bordered table-striped">
        					<thead>
        					<tr>	
							  <th>RUT</th>					
        					  <th>NOMBRE</th>
							  <th>E-MAIL</th>
        					  <th>TURNO</th>	
        					  <th>CARGO</th>						  
        					  <th></th>			  
        					</tr>
        					</thead>			
        				  </table>					
        				</div>
        			 </div>
				</div>
				<!-- /.card-body -->
				<div class="card-footer">

				</div>
            </div>
          </div>             
          
          <div class="col-md-6 d-none" id="div-permisos">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-body">
				     <label>Resumen de Permisos de Trabajador</label>
        			 <div class="row">
        				<div class="col-md-6">
        				  <div class="input-group mb-2 input-group-sm">
        					<div class="input-group-prepend">
        					  <div class="input-group-text">Fecha Inicio</div>
        					</div>
        					<input type="text" class="form-control" id="txtFecha_inicio_permiso" value="<?php echo $fecha_inicio_b ?>" readonly >
        				  </div>
        				</div>
        				<div class="col-md-6">
        				  <div class="input-group mb-2 input-group-sm">
        					<div class="input-group-prepend">
        					  <div class="input-group-text">Fecha T&eacute;rmino</div>
        					</div>
        					<input type="text" class="form-control" id="txtFecha_termino_permiso" value="<?php echo $fecha_termino_b ?>" readonly >
        				  </div>
        				</div>
        				<div class="col-md-6">
        				  <div class="input-group mb-2 input-group-sm">
        					<div class="input-group-prepend">
        					  <div class="input-group-text">Tipo Permiso</div>
        					</div>
        					<select class="form-control" id="txtTipo_permiso_busqueda"> </select>
        				  </div>				    
        				</div>
        				<div class="col-md-2">
        				  <button type="button" class="btn btn-info mb-2 btn-sm" id="btnBuscar_permiso">Buscar</button>
        				</div>				
        			 </div>	
        			 <div class="row">
        				<div class="col-md-12">
        				  <table id="example" class="table table-bordered table-striped">
        					<thead>
        					<tr>	
        					  <th>FECHA INICIO</th>	
        					  <th>FECHA T&Eacute;RMINO</th>	
							  <th>CANTIDAD D&Iacute;AS</th>								  
        					  <th>TIPO DE PERMISO</th>
        					  <th>MOTIVO</th>					  				  
        					</tr>
        					</thead>			
        				  </table>					
        				</div>
        			 </div> 
        			 <div class="row">
        				<div class="col-md-12">
        				  <table id="example4" class="table table-bordered table-striped">
        					<thead>
        					<tr>	
        					  <th>TIPO PERMISO</th>	
        					  <th>CANTIDAD OCUPADO</th>	
							  <th>CANTIDAD PENDIENTE</th>								  			  				  
        					</tr>
        					</thead>			
        				  </table>					
        				</div>
        			 </div> 					 
				</div>
				<!-- /.card-body -->
				<div class="card-footer">
				    <div class="row">
            			<div class="col-md-6">
            			  <div class="input-group mb-2 input-group-sm">
            				<div class="input-group-prepend">
            				  <div class="input-group-text">Cantidad de Permisos: </div>
            				</div>
            				<input type="text" class="form-control" id="txtCantidad_permisos" value="0" readonly >
            			  </div>
            			</div>				        
				    </div>
				</div>
            </div>
          </div>          
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  
  <?php include_once("../inc/footer.php"); ?>
  
	<div id="modal-default" class="modal" tabindex="-1" role="dialog">
	  <div class="modal-dialog modal-xl" role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title">POWERTIME</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body">
		      <label>Permisos Autorizados a Usuario</label>
			  <table id="example2" class="table table-bordered table-striped">
				<thead>
				<tr>	
				  <th>TIPO DE PERMISO</th>		
				  <th>CANTIDAD PERMITIDA</th>	
				  <th>CANTIDAD EJECUTADOS</th>	
				  <th>DISPONIBLES</th>					  
				</tr>
				</thead>			
			  </table>				 
		  </div>
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Cerrar</button>
		  </div>
		</div>
	  </div>
	</div>   

	
</div>
<!-- ./wrapper -->

<div class="div-response"></div>

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>
<!-- DataTables -->
<script src="../plugins/datatables/jquery.dataTables.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>

<script src="../plugins/toastr/toastr.js"></script>

<!-- JQUERY UI --> 
<script src="../plugins/jQueryUI/jquery-ui.js"></script>


<script>

  $(function () {
	  
	$("#txtCantidad").bind('keypress', function(event) {
	  var regex = new RegExp("^[0-9]+$");
	  var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
	  if (!regex.test(key)) {
		event.preventDefault();
		return false;
	  }
	});  
	
	$(".control-number").bind('keypress', function(event) {
	  var regex = new RegExp("^[0-9]+$");
	  var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
	  if (!regex.test(key)) {
		event.preventDefault();
		return false;
	  }
	});	 	
	   
     $('#example4').DataTable({
		  "paging": true,
		  "lengthChange": false,
		  "searching": false,
		  "ordering": false,
		  "info": false,
		  "autoWidth": false,
		  "pageLength": 7,
		  "language": {
			"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
		  } 			  
     });	   
	   
     $('#example3').DataTable({
		  "paging": true,
		  "lengthChange": false,
		  "searching": false,
		  "ordering": false,
		  "info": false,
		  "autoWidth": false,
		  "pageLength": 7,
		  "language": {
			"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
		  } 			  
     });	

     $('#example2').DataTable({
		  "paging": true,
		  "lengthChange": false,
		  "searching": false,
		  "ordering": true,
		  "info": false,
		  "autoWidth": false,
		  "pageLength": 7,
		  "language": {
			"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
		  } 	
     });
	 
     $('#example').DataTable({
		  "paging": true,
		  "lengthChange": false,
		  "searching": false,
		  "ordering": true,
		  "info": false,
		  "autoWidth": false,
		  "pageLength": 7,
		  "language": {
			"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
		  } 	
     });		 
	  
	 /* 
    $(document).bind("contextmenu",function(e){
      return false;
    });	  
	  */

	 $.datepicker.regional['es'] = {
	 closeText: 'Cerrar',
	 prevText: '< Ant',
	 nextText: 'Sig >',
	 currentText: 'Hoy',
	 monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
	 monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
	 dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
	 dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
	 dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
	 weekHeader: 'Sm',
	 dateFormat: 'yy/mm/dd',
	 firstDay: 1,
	 isRTL: false,
	 showMonthAfterYear: false,
	 yearSuffix: ''
	 };
	 $.datepicker.setDefaults($.datepicker.regional['es']);
	function getDate( element ) {
      var date;
      try {
        date = $.datepicker.parseDate( dateFormat, element.value );
      } catch( error ) {
        date = null;
      }

      return date;
    }
	 
	 $("#txtFecha_inicio").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		onSelect: function(dateText, inst) {
		var lockDate = new Date($('#txtFecha_inicio').datepicker('getDate'));
			$('#txtFecha_termino').datepicker('option', 'minDate', lockDate);
			$('#txtFecha_retorno').datepicker('option', 'minDate', lockDate);			
		}		
	 }) 
	
	 $("#txtFecha_termino").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		minDate: $("#txtFecha_inicio").val(),
		onSelect: function () {
            fecharetorno();
        } 
	 })  	

	 const fecharetorno = async() =>{
        try {

			var formData = new FormData();
			formData.append('fechainicio', document.getElementById("txtFecha_inicio").value);
			formData.append('fechatermino', document.getElementById("txtFecha_termino").value);

			const response = await fetch('http://200.24.13.60/~program1/diahabil/index.php', {
				method: "POST",
				body: formData,      
			})  
			const data = await response.json();
			document.getElementById("txtFecha_retorno").value = convertDateFormat(data.fecharetorno);
			document.getElementById("txtCantidad").value = data.cantidad;
			console.log(data);

		} catch (err) {
		console.log(err);
		}		 
	 }

	 $("#txtFecha_retorno").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		minDate: $("#txtFecha_termino").val() 
	 })  	


	 $("#txtFecha_inicio_permiso").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		onSelect: function(dateText, inst) {
		var lockDate = new Date($('#txtFecha_inicio_permiso').datepicker('getDate'));
		$('#txtFecha_termino_permiso').datepicker('option', 'minDate', lockDate);
		}		
	 }) 
	
	 $("#txtFecha_termino_permiso").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		minDate: $("#txtFecha_inicio_permiso").val() 
	 }) 

	  
	$("#txtDepartamento").change(function () {
		listarRegistro();
    });	
	function listarRegistro(){

		$('#example3').dataTable().fnClearTable();

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/obtenerpersonadepartamento",
			data : JSON.stringify({
				id_departamento: $('#txtDepartamento').val(),								
			}),		
			success: function(dados)
			{
				$('#example3').dataTable().fnClearTable();
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						var boton = "<button type='button' class='btn btn-info btn-xs btn-editar'>Asignar</button>";
					  $('#example3').dataTable().fnAddData( [
						dados[i][j].rut,						  
						dados[i][j].nombre+" "+dados[i][j].apellido,
						dados[i][j].email,	
						dados[i][j].turno,		
						dados[i][j].cargo,								
						boton +"<input type='hidden' value ='"+dados[i][j].id+"' />"
					  ]);
					}
				}
			}
		});

	}
	
	$("#example3").on('click','.btn-editar', function() {
		var id = $(this).parents("tr").find("td:eq(5)").find("input").val();	

		document.getElementById("txtEmail").value = $(this).parents("tr").find("td:eq(2)").html();
		document.getElementById("cargo").value = $(this).parents("tr").find("td:eq(4)").html();

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/obtenerpersona",
			data : JSON.stringify({
				id: id			
			}),			
			success: function(dados)
			{
                console.log(dados);
				 for (i=0;i<dados.length;i++){					
					$("#txtNombre").val(dados[i].nombre+" "+dados[i].apellido); 
					$("#txtRut").val(dados[i].rut); 
					$("#txtId_persona").val(id);
					$("#div-trabajador").addClass("d-none");	
					$("#div-permisos").removeClass("d-none");
					listarPermisoTrabajador();
					$("#btnVerPermisoPermitido").removeClass("d-none");
				}
			}
		});			
	});			
		
	listarRegistroDep();
	function listarRegistroDep(){

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/departamentopersona",
			data : JSON.stringify({
				id_persona:$("#txtId_autoriza").val()					
			}),			
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){						

						$('#txtDepartamento').append($('<option>', {
							value: dados[i][j].id_departamento,
							text : dados[i][j].sucursal + " (" +dados[i][j].departamento +" )"
						}));
					}
				}
				listarRegistro();
			}
		});

	}
	 
	combo();
	function combo(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/buscarcargopermiso",
			data : JSON.stringify({
				id_cargo:$("#txtCargo").val(),			
			}),			
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtTipo_permiso').append($('<option>', {
							value: dados[i][j].id_tipo_permiso,
							text : dados[i][j].tipopermiso
						}));
						$('#txtTipo_permiso_busqueda').append($('<option>', {
							value: dados[i][j].id_tipo_permiso,
							text : dados[i][j].tipopermiso
						}));						
					}
				}
				$('#txtTipo_permiso').val(<?php echo $id_tipo_permiso ?>);
				$('#txtTipo_permiso_busqueda').val();				
			}
		});		
	}
		

	$("#txtTipo_permiso").change(function() {
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/obtenertipopermiso",
			data : JSON.stringify({
				id:$("#txtTipo_permiso").val(),			
			}),
			success: function(data) {
				if(data[0] != 0 && data[0] != "0"){
					if(parseInt(data[0][0].hora) === 1) {
						$(".hora-permiso").removeClass("d-none");
						$(".jornada-permiso").removeClass("d-none");	
					}else{
						$(".hora-permiso").addClass("d-none");		
						$(".jornada-permiso").addClass("d-none");				
					}
				}
			}			
		})   
    });			

	$("#txtJornada").change(function() {
		if($("#txtJornada").val() == 1){
			$(".hora-permiso").addClass("d-none");
			
		} else{
			$(".hora-permiso").addClass("d-none");
			$(".hora-permiso").removeClass("d-none");	
		}
    });		
	  
	$("#btnEnviar").click(function(){
		if(parseInt($("#txtTipo_permiso").val()) == 0){
			toastr.warning("Debe Seleccionar Tipo de Permiso", "POWERTIME");
			return false;
		}
		else if(parseInt($("#txtId_persona").val()) == 0){
			toastr.warning("Debe Seleccionar Trabajador", "POWERTIME");
			return false;
		}
		else if( $("#txtCantidad").val() == null || $("#txtCantidad").val().length == 0 || /^\s+$/.test($("#txtCantidad").val()) ){
			toastr.warning("Debe ingresar Cantidad de D&iacute;as de permiso", "POWERTIME");
            return false;
		}	
		else if(parseInt($("#txtCantidad").val()) == 0){
			toastr.warning("Debe ingresar Cantidad de D&iacute;as de permiso", "POWERTIME");
			return false;
		}		
		else if( $("#txtObservacion").val() == null || $("#txtObservacion").val().length == 0 || /^\s+$/.test($("#txtObservacion").val()) ){
			toastr.warning("Debe ingresar Motivo del Permiso", "POWERTIME");
            return false;
		}
		else{
			document.getElementById("btnEnviar").setAttribute("disabled", "true");
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				ifModified:true,
				cache: false,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/ingresarpermiso",
				data : JSON.stringify({
					fecha_inicio:convertDateFormat($("#txtFecha_inicio").val()),
					fecha_termino:convertDateFormat($("#txtFecha_termino").val()),	
					fecha_retorno:convertDateFormat($("#txtFecha_retorno").val()),	
					cantidad:$("#txtCantidad").val(),						
					hora_inicio:$("#txtHora_inicio").val(),	
					hora_termino:$("#txtHora_termino").val(),	
					id_tipo_permiso:$("#txtTipo_permiso").val(),	
					id_persona:$("#txtId_persona").val(),	
					id_autoriza:$("#txtId_autoriza").val(),	
					observacion:$("#txtObservacion").val(),	
					jornada:$("#txtJornada").val()					
				}),
				success: function(data) {
					/* if(parseInt(xhr.status) == 200){
						toastr.warning(data.error, "POWERTIME");
					} */					
					if(parseInt(data[0]) > 0){
                        console.log(data);
						enviarCorreo();
                		$("#div-permisos").removeClass("d-none");
                		listarPermisoTrabajador();
						logPermiso(parseInt(data[0]), "PERMISO EDITADO, "+ $("#txtObservacion").val());
						limpiarFormulario();
						toastr.success("Permiso ingresado.", "POWERTIME");
						
					} else {
                        toastr.warning("", "POWERTIME");
                    }
				}			
			})			
		}
	});

	function enviarCorreo(){
		$.ajax({
			type:'POST',
			dataType: "json",
			url: "enviarcorreo.php",
			data : {
				txtNombre: $('#txtNombre').val(),
				id_persona:$("#txtId_persona").val()																	
			},					
			success: function(dados){
					toastr.success(dados[0].descripcion, "POWERTIME");							
			},
    error: function (request, status, error) {
        alert(request.responseText);
    }			
		})			
	}

	$("#btnEditar").click(function(){
		if(parseInt($("#txtTipo_permiso").val()) == 0){
			toastr.warning("Debe Seleccionar Tipo de Permiso", "POWERTIME");
			return false;
		}
		else if(parseInt($("#txtId_persona").val()) == 0){
			toastr.warning("Debe Seleccionar Trabajador", "POWERTIME");
			return false;
		}
		else if( $("#txtCantidad").val() == null || $("#txtCantidad").val().length == 0 || /^\s+$/.test($("#txtCantidad").val()) ){
			toastr.warning("Debe ingresar Cantidad de D&iacute;as de permiso", "POWERTIME");
            return false;
		}	
		else if(parseInt($("#txtCantidad").val()) == 0){
			toastr.warning("Debe ingresar Cantidad de D&iacute;as de permiso", "POWERTIME");
			return false;
		}		
		else if( $("#txtObservacion").val() == null || $("#txtObservacion").val().length == 0 || /^\s+$/.test($("#txtObservacion").val()) ){
			toastr.warning("Debe ingresar Motivo del Permiso", "POWERTIME");
            return false;
		}
		else{
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/actualizarpermiso",
				data : JSON.stringify({
					id:$("#txtId").val(),
					fecha_inicio:convertDateFormat($("#txtFecha_inicio").val()),
					fecha_termino:convertDateFormat($("#txtFecha_termino").val()),	
					fecha_retorno:convertDateFormat($("#txtFecha_retorno").val()),	
					cantidad:$("#txtCantidad").val(),						
					hora_inicio:$("#txtHora_inicio").val(),	
					hora_termino:$("#txtHora_termino").val(),	
					id_tipo_permiso:$("#txtTipo_permiso").val(),	
					id_persona:$("#txtId_persona").val(),	
					id_autoriza:$("#txtId_autoriza").val(),	
					observacion:$("#txtObservacion").val()					
				}),
				success: function(data, textStatus, xhr) {
					if(parseInt(data[0]) > 0){
						toastr.success("Registro Editado Exitosamente", "POWERTIME");
						logPermiso($("#txtId").val(), "PERMISO EDITADO, "+ $("#txtObservacion").val());
					} else {
                        toastr.warning("", "POWERTIME");
                    }
				}
			})			
		}
		
	});	

	$("#btnBuscar").click(function(){
		$("#txtId_persona").val(0); 
		$("#txtNombre").val("");
		$("#btnVerPermisoPermitido").addClass("d-none");
		$("#div-trabajador").removeClass("d-none");		
	});

 	$("#btnLimpiar").click(function(){
		limpiarFormulario();
	});
	
	function limpiarFormulario(){
		$("#txtId").val(0);
		$("#txtFecha_inicio").val(fechaActual());
		$("#txtFecha_termino").val(fechaActual());	
		$("#txtHora_inicio").val("00:00");	
		$("#txtHora_termino").val("00:00");	
		$(".hora-permiso").addClass("d-none");				
		$("#txtTipo_permiso").val(0);	
		$("#txtId_persona").val(0);		
	    $("#txtCantidad").val(0);
        $("#txtFecha_retorno").val(fechaActual());		
		$("#txtObservacion").val("");
		$("#div-permisos").addClass("d-none");
		$("#txtNombre").val(""); 
		$("#div-trabajador").addClass("d-none");
		$("#btnVerPermisoPermitido").addClass("d-none");
	}
 
	function fechaActual(){
		var fecha = new Date();
		var dia = fecha.getDate();
		var mes = fecha.getMonth() + 1;
		var anio = fecha.getFullYear();	
		if(dia < 10) { dia = "0"+dia; } 
		if(mes < 10) { mes = "0"+mes; }
        return anio+"-"+mes+"-"+dia;  		
	}
	
	$("#btnVerPermisoPermitido").click(function(){
		$('#modal-default').modal("show");
		permisoPermitido();
	});
	
	function permisoPermitido(){
		$('#example2').dataTable().fnClearTable();
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/configuracionpermisopersona",
			data : JSON.stringify({
				id_persona:$("#txtId_persona").val()				
			}),		
			success: function(dados)
			{
				$('#example2').dataTable().fnClearTable();
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){	
					  $('#example2').dataTable().fnAddData( [
						dados[i][j].tipo,
						dados[i][j].cantidad,
						dados[i][j].cantidadsistema,
						(parseInt(dados[i][j].cantidad) - parseInt(dados[i][j].cantidadsistema))
					  ]);
					}
				}
			}
		});		
	}

	
	$("#btnBuscar_permiso").click(function(){
		listarPermisoTrabajador();
	});
	
	function listarPermisoTrabajador(){

		$('#example').dataTable().fnClearTable();
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/listarpermisostrabajadorgeneraltipopermiso",	
			data : JSON.stringify({
				fecha_inicio: convertDateFormat($("#txtFecha_inicio_permiso").val()),
				fecha_termino: convertDateFormat($("#txtFecha_termino_permiso").val()),
				id_persona: $("#txtId_persona").val(),	
				id_tipo_permiso: $("#txtTipo_permiso_busqueda").val(),					
			}),				
			success: function(dados)
			{
				 $("#txtCantidad_permisos").val(0);
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){						
					  $('#example').dataTable().fnAddData( [
						convertDateFormat(dados[i][j].fecha_inicio),	
						convertDateFormat(dados[i][j].fecha_termino),
						dados[i][j].cantidad,
						dados[i][j].tipo,	
						dados[i][j].observacion						
					  ]);
					  $("#txtCantidad_permisos").val(parseInt($("#txtCantidad_permisos").val()) + 1);
					}
				}
			}
		});
		
		//mostrarSalgo();
	}
	
	const mostrarSalgo = async() =>{
		$('#example4').dataTable().fnClearTable();
		
			var formData = new FormData();
			formData.append('rut', $("#txtRut").val());
			const response = await fetch('../consultaigestion/consultasaldopermiso.php', {
				method: "POST",
				body: formData,      
			})  
			const data = await response.json();
		  $('#example4').dataTable().fnAddData( [
			data[0].tipo,
			data[0].ocupado,
			data[0].pendiente				
		  ]);			
	}

    function logPermiso(idPermiso, observacion){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/ingresarlogpermiso",
			data : JSON.stringify({
				id_permiso:idPermiso,
				id_usuario:$("#txtId_autoriza").val(),	
				observacion:observacion				
			}),
			success: function(res) {
				if(parseInt(res[0]) == 1){
					toastr.success("Permiso Procesado Exitosamente", "POWERTIME");
				} else {
					toastr.success("Error procesando permiso", "POWERTIME");
                }
			}
		})
	}
	
	function convertDateFormat(numeros) {
        return numeros.split('-').reverse().join('-');
    }		
	
});	 	
  
</script>

</body>
</html>
